/* CSS declarations go here */
* {
  font-family: 'Space Mono', monospace;
}
body {
    background-color: rgba(0, 0, 0, 0.8);
}

.list {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
}

.header {
  text-align: center;
  padding: 10px;
}
.header .refresh {
  float: left;
  color: darkgrey;
}

.header .sortby {
  width : 400px;
  margin-bottom: 2px;
  display: inline-block;
}

.header .sortby .form-control {
  width : 40%;
  display: inline-block;
  border-radius: 80px;
}

.header .search {
  margin: 5px;
}
.header .search input {
  height: 40px;
  width: 60%;
  max-width: 500px;
  border-radius: 40px;
  border: none;
  text-align: center;
  transition: all .2s ease-in;
}

.header .search input:focus{
  width: 65%;
  max-width: 550px;
  outline: none;
  border: 0 0 3px rgba(0,100,250,1);
}

.posterbox {
    width: 200px;
    height: 300px;
    background-size: cover;
    position: relative;
    transition: all 0.1s ease-in-out;
    backface-visibility: hidden;
    background-position: center;
    background-repeat: no-repeat;
    margin: 4px;
    background-color: black;
    flex-direction: column;
    display: flex;
}

/*.test {
  float: left;
  text-align: center;
}

.test .btn {
  margin: 5px;
}*/

.posterbox:hover {
    transform: scale(1.02) translateZ(10px);
    filter: drop-shadow(2px);
    box-shadow: 0 0 15px rgba(0,100,250,0.7);
}

.star-ratings-css {
  unicode-bidi: bidi-override;
  color: #c5c5c5;
  font-size: 25px;
  width: 75px;
  margin: 0 auto;
  position: relative;
  padding: 0;
  text-shadow: 0px 1px 0 #a2a2a2;
}

.star-ratings-css-top {
  color: #e7711b;
  padding: 0;
  position: absolute;
  z-index: 1;
  display: block;
  top: 0;
  left: 0;
  overflow: hidden;
}
.star-ratings-css-bottom {
  padding: 0;
  display: block;
  z-index: 0;
}

.posterbox .top {
    flex-grow: 0;
}

.posterbox .title {
    margin-top: auto;
    vertical-align: bottom;
    background-color: rgba(255, 255, 255, 0.6);
    color: rgba(0, 0, 0, 0.9);
}

.posterbox .title h2 {
    text-align: center;
    font-size: 15px;
    margin: 5px;
}

.b-lazy {
    opacity: 0;
    transform: scale(0.1);
    transition: all 500ms;
}

.b-loaded {
    opacity: 1;
    transform: scale(1);
}

.modal-body {
    background-color: rgba(0, 0, 0, 0.8);
    color: white;
}

.modal-header {
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    text-align: center;
    padding: 8px;
    border-bottom: transparent;
}

.modal-header h1 {
    font-size: 20px;
    margin: 0;
    padding: 0;
}

.modal-header h2 {
    font-size: 15px;
    margin: 0;
    padding: 0;
}

.modal-header .label {
    position: absolute;
    top: 20px;
    left: 20px;
}

.modal-header .genres {
    margin: 0;
    padding: 0;
    text-align: right;
}

.modal-header .genres .label {
    position: relative;
    top: 0;
    left: 0;
    margin: 0;
}

.modal-header .label-info {
    background-color: rgba(0, 0, 0, 0.15);
}

.modal-body .overview {
    /*max-width: 50%;*/
    background-color: rgba(0, 0, 0, 0.15);
    padding: 20px;
    margin: 10px 0;
    border-radius: 5px;
    text-align: center;
    box-shadow: 2px 2px rgba(0, 0, 0, 0.2);
}

.modal-body .img-info {
    width: 50%;
    text-align: center;
    position: absolute;
    right: 0;
    top: 40px;
}

.modal-body .img-info img {
    border-radius: 10px;
    box-shadow: 1px 4px rgba(0, 0, 0, 0.4);
    max-width: 100%;
}
